'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var buffer = require('buffer');

function toBuffer(thing, encoding, name) {
    if (buffer.Buffer.isBuffer(thing)) {
        return thing;
    }
    else if (typeof thing === 'string') {
        return buffer.Buffer.from(thing, encoding);
    }
    else if (ArrayBuffer.isView(thing)) {
        return buffer.Buffer.from(thing.buffer);
    }
    else {
        throw new TypeError(name + ' must be a string, a Buffer, a typed array or a DataView');
    }
}

exports.toBuffer = toBuffer;
