/// <reference types="node" />
/// <reference types="node" />
import { Buffer as NodeBuffer } from 'buffer';
declare type BinaryLike = string | NodeJS.ArrayBufferView;
declare type SupportDigest = 'sha1' | 'sha256' | 'sha512' | 'sha224' | 'sha384' | 'ripemd160';
export declare function binaryLikeToBase64(binaryLike: BinaryLike): string;
export declare function pbkdf2(password: BinaryLike, salt: BinaryLike, iterations: number, keylen: number, digest: SupportDigest | undefined, callback: (err: any, derivedKey: NodeBuffer) => void): void;
export declare function pbkdf2Sync(password: BinaryLike, salt: BinaryLike, iterations: number, keylen: number, digest: string): NodeBuffer;
export {};
